Index: npl/system/acpid/acpid.SlackBuild
===================================================================
--- npl/system/acpid/acpid.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/acpid/acpid.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -27,5 +27,5 @@
 
 #Version of the sourcefiles
-VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+VER=`echo $SRC_ARC| sed 's/.*_//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
 
 #Architecture that the created binaries run on.
@@ -60,5 +60,5 @@
 #export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
 MAKE_OPTS=""
-./configure --prefix=/usr  || exit 1
+#./configure --prefix=/usr  || exit 1
 
 #AUTOMAKE: Compile
Index: npl/system/acpid/acpid.md5
===================================================================
--- npl/system/acpid/acpid.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/acpid/acpid.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,8 +1,8 @@
-599dd38681b5917eeeafb58176793952  ./acpid-2.0.31.tar.xz
-b7e6aca4156ab9d923d0eb97c3528d99  ./acpid_dev.pkg
-44682e3d83a427d256a6b640f42519bc  ./acpid.pkg
-b498d69d0d3a617141652e0d902d2e8a  ./acpid.SlackBuild
-b8c085198ec5ce107b921b0976d91954  ./acpid.SlackBuild.log.gz
+51a69b5a31701459e36dfa3c9c147f33  ./acpid_2.0.10-1ubuntu3.diff
+d5dd88bcfaa4a0bf51905e95115da6df  ./acpid_2.0.10.tar.gz
+6608ced3ba8ac9b82831b8434a08c626  ./acpid.pkg
+f0f5eb11d9dbf57474b180124158fd54  ./acpid.SlackBuild
+b7c375025b0b2529191e6ae909addc81  ./acpid.SlackBuild.log.gz
 5251bee4478827677db2fafd469796d8  ./root/etc/acpi/events/power
-662edf7ce5eb75a70ec80b915b913ee7  ./root/etc/postinst.d/post.acpid
+052e76689b987c5ea3ab8ef052c9ac91  ./root/etc/postinst.d/post.acpid
 e4cf3f03b1b3497682ce4526e04ff9e7  ./root/service/acpid/run
Index: npl/system/acpid/acpid.version
===================================================================
--- npl/system/acpid/acpid.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/acpid/acpid.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-2.0.31
+2.0.10
Index: npl/system/acpid/root/etc/postinst.d/post.acpid
===================================================================
--- npl/system/acpid/root/etc/postinst.d/post.acpid	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/acpid/root/etc/postinst.d/post.acpid	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -2,4 +2,3 @@
 removepkg acpid-1.0.3-i486-1
 killall acpid
-exit 0
 
Index: npl/system/binutils/binutils.SlackBuild
===================================================================
--- npl/system/binutils/binutils.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/binutils/binutils.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,19 +1,220 @@
-#!/bin/bash
+#!/bin/sh
+
+# Copyright 2005-2013  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
 #
-# Automaticly created by importpackage v1.0
-# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/d/binutils/
-# Created at Tue Jan 31 22:11:28 CET 2017
-
-
-########### source original slackbuild (hopefully we dont need to modify it)
-CWD=`pwd`
-set -e
-source ./binutils.SlackBuild.orig
-
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2011 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+PKGNAM=binutils
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+  case "$MARCH" in
+    i?86)    export ARCH=i486 ;;
+    armv7hl) export ARCH=$MARCH ;;
+    arm*)    export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+    *)       export ARCH=$MARCH ;;
+  esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+# Uncomment this to include the experimental gold linker:
+GOLD=" --enable-gold=yes --enable-ld=default "
+
+# Set to ld.gold or ld.bfd:
+DEFAULT_LD=ld.bfd
+
+# The --enable-initfini-array option was added in binutils-2.21.51.0.3.
+# This option currently causes a world of hurt trying to compile glibc,
+# and might break static libraries or cause other ill effects.  There
+# is an upstream patch for glibc but it does not avoid all of the known
+# problems (and there may be some unknown ones, too), so we will avoid
+# introducing this feature for now.
+# References:
+# http://sourceware.org/bugzilla/show_bug.cgi?id=12343
+# http://gcc.gnu.org/bugzilla/show_bug.cgi?id=46770
+NO_INITFINI=" --disable-initfini-array "
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  # The config option below is currently needed to compile on x86:
+  WERROR="--enable-werror=no"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  # The config option below is currently needed to compile on x86:
+  WERROR="--enable-werror=no"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+  SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+  LIBDIRSUFFIX=""
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+    arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+    *)    TARGET=$ARCH-slackware-linux ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-binutils
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf binutils-$VERSION
+tar xvf $CWD/binutils-$VERSION.tar.xz || \
+  tar xvf $CWD/binutils-$VERSION.tar.bz2 || exit 1
+cd binutils-$VERSION
+
+# Export the demangle.h header file:
+zcat $CWD/binutils.export.demangle.h.diff.gz | patch -p1 --verbose || exit 1
+# Don't check to see if "config.h" was included in the installed headers:
+zcat $CWD/binutils.no-config-h-check.diff.gz | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \; -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \;
+
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
+# Build for an x86 glibc2-based Linux system:
+CFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --mandir=/usr/man \
+  --infodir=/usr/info \
+  --with-docdir=/usr/doc/binutils-$VERSION \
+  --enable-shared \
+  --enable-multilib \
+  --enable-64-bit-bfd \
+  --enable-plugins \
+  --enable-threads \
+  --enable-targets=i386-efi-pe,${TARGET},x86_64-slackware-linux \
+  $GOLD \
+  $NO_INITFINI \
+  $WERROR \
+  --build=$TARGET \
+  || exit 1
+
+make clean || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# "make install" skips this, but binutils.spec doesn't.  Sneaky, huh?
+cp -a include/libiberty.h $PKG/usr/include/libiberty.h
+
+# Differentiate between BSD strings and GNU strings
+( cd $PKG/usr/bin ; mv strings strings-GNU )
+( cd $PKG/usr/man/man1 ; mv strings.1 strings-GNU.1 )
+
+# Move ldscripts to /usr/lib${LIBDIRSUFFIX}, and then put symlinks in place
+mv $PKG/usr/${TARGET}/lib/ldscripts $PKG/usr/lib${LIBDIRSUFFIX}
+( cd $PKG/usr/${TARGET}
+  ln -s /usr/lib${LIBDIRSUFFIX}/ldscripts lib/ldscripts
+  for FILE in ar as ld ld.bfd ld.gold nm objcopy objdump ranlib strip ; do
+    if [ -r "/usr/bin/$FILE" ]; then
+      rm -f bin/$FILE
+      ln -s /usr/bin/$FILE bin/$FILE
+    fi
+  done
+)
+
+# If the requested default linker is present, make it the default:
+# Set the link differently on the system to change the default at runtime.
+if [ -r $PKG/usr/bin/$DEFAULT_LD ]; then
+  ( cd $PKG/usr/bin ; rm -f ld ; ln -sf $DEFAULT_LD ld )
+fi
+      
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+  | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Remove some unneeded man pages, and then compress the rest
+rm -f $PKG/usr/man/man1/{dlltool,windres}.1
+( cd $PKG/usr/man
+  find . -type f -exec gzip -9 {} \;
+  for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Compress info pages
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/binutils-$VERSION
+cp \
+  $CWD/release.binutils-* \
+  COPYING* ChangeLog.linux MAI* README* \
+  $PKG/usr/doc/binutils-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+chown -R root:root $PKG/usr/doc/binutils-$VERSION
+
+# Add slack-desc:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/binutils-$VERSION-$ARCH-$BUILD.txz
+
+cat << EOF
+
+#############################
+oprofile links to libbfd so
+be sure to recompile that
+#############################
+
+EOF
 
 ############ make syn3 packages
 cd $CWD
 for PKG in /tmp/package-*; do
-        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/'`
 
         #seperate dev-package
Index: npl/system/binutils/binutils.arch
===================================================================
--- npl/system/binutils/binutils.arch	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/binutils/binutils.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-i586
+x86_64
Index: npl/system/binutils/binutils.md5
===================================================================
--- npl/system/binutils/binutils.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/binutils/binutils.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,18 +1,10 @@
-234b04790532412bd31a7a21e33185fb  ./binutils-2.27.tar.xz
-861b0c3d88cb79cd4149627c65e35fbc  ./binutils_dev.pkg
-3982b87f95c1200cb018e72f75de9e3b  ./binutils.pkg
-7f13e0d96ac92c01b28982be5c4b0b7d  ./binutils.SlackBuild
-894b8309c73cf5d0958aff273e242b1a  ./binutils.SlackBuild.log.gz
-d564b6b948659d0936cd78675fb88386  ./binutils.SlackBuild.orig
-30edc86c02ef680578eef6525ed75104  ./patches/binutils-2.20.51.0.10-copy-osabi.patch.gz
-6c7c3374183a78abe904232a6f3660fa  ./patches/binutils-2.20.51.0.10-ppc64-pie.patch.gz
-ecfda8fd71319b431465a9ab2636b26a  ./patches/binutils-2.20.51.0.10-sec-merge-emit.patch.gz
-f4d3198bc0b89b19dfd128a63bea1158  ./patches/binutils-2.20.51.0.2-libtool-lib64.patch.gz
-91ba29de94ce2acb9941b4f9783eeb4e  ./patches/binutils-2.23.52.0.1-addr2line-dynsymtab.patch.gz
-e34a73939779f1302ac0b65bafa3e885  ./patches/binutils-2.24-ldforcele.patch.gz
-f4696d3799487767d8051b645ca1a7bb  ./patches/binutils-2.25.1-cleansweep.patch.gz
-6917b40650fa4757a567b2a03cdbe566  ./patches/binutils-2.25-set-long-long.patch.gz
-0f572aa5829f3d3a1a7fe1672a79bccd  ./patches/binutils-2.25-version.patch.gz
-5debe7740b469ad78acd9a614c39fd98  ./patches/binutils.export.demangle.h.diff.gz
-11da9c6411c6066874ed96a67dd3f2f6  ./patches/binutils.no-config-h-check.diff.gz
+0a9e211002c3a2a98c0e58971285bc23  ./binutils-2.24.51.0.3.tar.sign
+49757ef8c29ddf84ddf2a1f8b574f7e0  ./binutils-2.24.51.0.3.tar.xz
+b921b4f29f3b5daf7e5ebe9067c5836a  ./binutils_dev.pkg
+5debe7740b469ad78acd9a614c39fd98  ./binutils.export.demangle.h.diff.gz
+11da9c6411c6066874ed96a67dd3f2f6  ./binutils.no-config-h-check.diff.gz
+34d85f8a29ec8376bdd1a82168878c4a  ./binutils.pkg
+95f4f63f3a519243d345a81bf772550d  ./binutils.SlackBuild
+fbb3677eb20875df6b6d6d44343b05fd  ./binutils.SlackBuild.log.gz
+8d4116b9475f4a3fe60a25b98d23545d  ./release.binutils-2.24.51.0.3
 3983d265f1969f866b729416a27d5668  ./slack-desc
Index: npl/system/binutils/binutils.version
===================================================================
--- npl/system/binutils/binutils.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/binutils/binutils.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-2.27
+2.24.51.0.3
Index: npl/system/binutils/binutils_dev.arch
===================================================================
--- npl/system/binutils/binutils_dev.arch	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/binutils/binutils_dev.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-i586
+x86_64
Index: npl/system/binutils/binutils_dev.version
===================================================================
--- npl/system/binutils/binutils_dev.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/binutils/binutils_dev.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-2.27
+2.24.51.0.3
Index: npl/system/conntrack/conntrack.SlackBuild
===================================================================
--- npl/system/conntrack/conntrack.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/conntrack/conntrack.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#DEP:libnetfilter_conntrack
+#DEP:libnfnetlink
+
+
+
+NAME=conntrack
+VER=1.00beta1
+CWD=`pwd`
+PKGTMP=/tmp/pkgtmp
+
+mkdir -p $PKGTMP &>/dev/null
+
+tar -xjf $NAME-$VER.tar.bz2 || exit 1
+
+cd $NAME-$VER
+./configure --prefix=/usr || exit 1
+make || exit 1
+make DESTDIR=$PKGTMP install || exit 1
+
+cd "$PKGTMP" || exit 1
+makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+echo $VER > $CWD/$NAME.version &&
+arch > $CWD/$NAME.arch 
+
Index: npl/system/conntrack/conntrack.arch
===================================================================
--- npl/system/conntrack/conntrack.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/conntrack/conntrack.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/conntrack/conntrack.md5
===================================================================
--- npl/system/conntrack/conntrack.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/conntrack/conntrack.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,4 @@
+a22f1ad3fc1adf9b8f8f5d09b9c8606b  ./conntrack-0.99.tar.bz2
+7491f914a9ebce180df88cbef0d994b3  ./conntrack-1.00beta1.tar.bz2
+5c5f8758b8e7f3e63b453abe645645c2  ./conntrack.SlackBuild
+798fc29657ba9dad846ea7b62c9e6766  ./conntrack.pkg
Index: npl/system/conntrack/conntrack.version
===================================================================
--- npl/system/conntrack/conntrack.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/conntrack/conntrack.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+1.00beta1
Index: npl/system/ethtool/ethtool.SlackBuild
===================================================================
--- npl/system/ethtool/ethtool.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/ethtool/ethtool.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -4,5 +4,5 @@
 # Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/n/ethtool/
 # Created at Wed Jun 22 14:01:42 CEST 2016
-#DEP:libmnl
+
 
 ########### source original slackbuild (hopefully we dont need to modify it)
Index: npl/system/ethtool/ethtool.md5
===================================================================
--- npl/system/ethtool/ethtool.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/ethtool/ethtool.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,8 +1,7 @@
 8581ba13879ffe14b7eba622e1fd132b  ./ethtool-4.5.tar.sign
-ee04e48c73cf88328a66b64c8af67fe4  ./ethtool-5.14.tar.xz
-bfa4dedba3bd394a63fcd72d84f6ae2f  ./ethtool_dev.pkg
-74d99e0bb13d5a82543b3ea94e4574ab  ./ethtool.pkg
-174802e2f3f687b1761eb3734c1cc28f  ./ethtool.SlackBuild
-8904b8f28af8aa64a30f6504f63ba227  ./ethtool.SlackBuild.log.gz
+f50d25177d10f0cb74da3edc66c3143a  ./ethtool-4.5.tar.xz
+697ef09fe4b6b24e4c3a95bf789419f5  ./ethtool.pkg
+57be78abd41cfbd1de6749fefc06aaa3  ./ethtool.SlackBuild
+b67bd2a33018c9b73020a69b4514fefd  ./ethtool.SlackBuild.log.gz
 72b2ddac7f7a03d18f857127457bd36e  ./ethtool.SlackBuild.orig
 ad0fd7b2520770958b48d18c83396614  ./slack-desc
Index: npl/system/ethtool/ethtool.version
===================================================================
--- npl/system/ethtool/ethtool.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/ethtool/ethtool.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-5.14
+4.5
